PrefabFiles = {
	"deathstroke",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/deathstroke.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/deathstroke.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/deathstroke.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/deathstroke.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/deathstroke_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/deathstroke_silho.xml" ),

    Asset( "IMAGE", "bigportraits/deathstroke.tex" ),
    Asset( "ATLAS", "bigportraits/deathstroke.xml" ),
	
	Asset( "IMAGE", "images/map_icons/deathstroke.tex" ),
	Asset( "ATLAS", "images/map_icons/deathstroke.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_deathstroke.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_deathstroke.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_deathstroke.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_deathstroke.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.deathstroke = "The Mercenary"
STRINGS.CHARACTER_NAMES.deathstroke = "Deathstroke"
STRINGS.CHARACTER_DESCRIPTIONS.deathstroke = "*Has a sword"
STRINGS.CHARACTER_QUOTES.deathstroke = "\"I keep my promises, kid.\""

-- Custom speech strings
STRINGS.CHARACTERS.DEATHSTROKE = require "speech_deathstroke"

-- The character's name as appears in-game 
STRINGS.NAMES.DEATHSTROKE = "Slade"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.DEATHSTROKE = 
{
	GENERIC = "It's Slade!",
	ATTACKER = "That Slade looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Slade, friend of ghosts.",
	GHOST = "Slade could use a heart.",
}


AddMinimapAtlas("images/map_icons/deathstroke.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("deathstroke", "MALE")

